Subject: bug#77381: [PATCH] extend tex--prettify-symbols-alist

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 12:27:27 +0300

> From: "Paul D. Nelson" <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 01 Apr 2025 13:59:17 +0200
> 
> >> 1. Wrap char-displayable-p in (with-selected-frame ...).
> >> 
> >> 2. Give char-displayable-p a frame argument, and wrap its body in
> >>    (with-selected-frame ...).
> >> 
> >> 3. Drop the frame argument altogether (leaving (with-selected-frame
> >>    ...) to callers of these functions).
> >
> > I prefer (1), since we cannot change char-displayable-p itself (it's
> > used in too many places, including during startup).
> >
> >> Option (3) seemed simplest to me, and also at the least risk of
> >> introducing confusion concerning the name of the new function: at a
> >> glance, "char-displayable-on-frame-p" might suggest incorrectly that it
> >> does the analogue for the given frame of what char-displayable-p does
> >> for the selected frame.
> >
> > I acknowledge the potential confusion, but I think we can countermand
> > that in the doc string (without even mentioning char-displayable-p).
> 
> Thanks, I've revised to (1).  Please see attached.

Thanks, installed on the master branch.

Can this bug be closed now, or do we have anything else to do here?